# zib -- zzznowman's IRC bot
# Copyright (C) 2006  Fabian Pietsch <fabian@zzznowman.dyndns.org>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Channel object

package ZIB::Channel;
use strict;
use warnings;
use vars qw($VERSION);

$VERSION = 20060522.1;

sub new($$;$$)
{
	my ($class, $name, $why, $who) = @_;

	my $self = {
	  name => $name,
	  why  => $why,
	  who  => $who
	};
	return bless($self, $class);
}

sub many_new($\%@)
{
	my ($class, $attrib, @names) = @_;
	my ($why, $who) = ($attrib->{why}, $attrib->{who});
	my @chans = ();

	foreach my $name (@names)
	{
		push(@chans, new($class, $name, $why, $who));
	}

	return @chans;
}

sub name($) { return $_[0]->{name} }

sub who($) { return $_[0]->{who} }

sub why($) { return $_[0]->{why} }

1;
